/*
 * defs.h
 *
 * By Ross Ridge
 * Public Domain
 *
 * @(#) myjis defs.h 1.15 99/01/15 19:18:38
 *
 */

#ifndef __JIS_DEFS_H__
#define __JIS_DEFS_H__

#include <stdlib.h>
#include <stdio.h>
#include <stddef.h>
#include <string.h>
#include <errno.h>
#include <locale.h>
#include <assert.h>
#include <unistd.h>

#ifdef __cplusplus
extern "C" {
#endif

#include "config.h"
#include "config-sh.h"
#include "defaults.h"

#include "myjis.h"
#include "kana.h"
#include "xalloc.h"

extern int optind, opterr;
extern char *optarg;

extern struct jis_r2k_kana const __jis_r2k_table[];

extern size_t const __jis_r2k_table_len;

#define R2K_TABLE_LEN __jis_r2k_table_len

extern struct jis_r2k_kana const __jis_r2k_n;
extern struct jis_r2k_kana const __jis_r2k_n_;
extern struct jis_r2k_kana const __jis_r2k_long;

enum char_domain { JROMAN, ASCII, JKATAKANA, J1983, J1990, J0212, UNICODE};

extern const struct jis_code_name {
	char const *name;
	enum jis_locale_ctypes loc;
} __jis_code_name_table[];

#ifndef __JIS_CONFIG_USE_UNICODE
long __jis_kuten_to_euc(enum char_domain table, int code, int code2);
int __jis_euc_to_kuten(long wc, enum char_domain *table,
		       int *code, int *code2);
#endif

#ifdef __JIS_CONFIG_HAVE_UNICODE

extern unsigned short const __jis_roman_to_wide[256];
extern short const * const __jis_wide_to_jis[256];
extern unsigned short const * const __jis_1990_to_wide[100];
extern unsigned short const * const __jis_0212_to_wide[100];

long __jis_kuten_to_unicode(enum char_domain table, int code, int code2);
int __jis_unicode_to_kuten(long wc, enum char_domain *table,
			   int *code, int *code2);

#endif /* __JIS_CONFIG_HAVE_UNICODE */

#define __JIS_INLINE_DEFINITION
#include "j_getloc.c"

enum jis_locale_ctypes __jis_get_locale(jis_state const *state);


#ifdef __cplusplus
};
#endif

#endif /* __JIS_DEFS_H__ */

