/*
 * edict.h 
 *
 * By Ross Ridge
 * Public Domain
 *
 * @(#) myjis edict.h 1.1 99/01/15 22:28:51
 *
 */

#ifndef __JIS_EDICT_H__
#define __JIS_EDICT_H__

struct edict {
	FILE *dict_file;
	FILE *index_file;
	int blocks;
	wide_char *wkey;
};

struct edict *edict_open(char const *file, char const *index);
int edict_close(struct edict *p);
int edict_lookup(struct edict *p, char const *key);
void edict_rewind(struct edict *edict);
char *edict_get_entry(struct edict *p, int exact_match, int ending_match);
int edict_make_index(char const *index, char const *file, int progress);
char **edict_reduce(char const *word);

#endif /* __JIS_EDICT_H__ */
