/*
 * j_ktoe.c
 *
 * By Ross Ridge
 * Public Domain
 *
 */

#include "defs.h"

#ifdef CONFIG_SCCS_IDS
static char const sccs_id[] = "@(#) myjis j_ktoe.c 1.3 98/06/01 22:28:08";
#endif

#ifndef __JIS_CONFIG_USE_UNICODE

long
__jis_kuten_to_euc(enum char_domain table, int code, int code2) {
	long wc;

	if (code < 0 || code > 255 || code2 < 0 || code2 > 255) {
		assert(0);
		return -1;
	}

	switch(table) {
	case JROMAN:
	case ASCII:
		if (code > 127) {
			wc = (long) 0x0100 + code;
		} else {
			wc = code;
		}
		break;

	case JKATAKANA:
		wc = code;
		break;

	case J1983:
	case J1990:
		if (code > 94 || code2 > 94) {
			wc = -1;
		} else {
			wc = (long) 0xA0A0 + ((long) code << 8) + code2;
		}
		break;

	case J0212:
		if (code > 94 || code2 > 94) {
			wc = -1;
		} else {
			wc = (long) 0x20A0 + ((long) code << 8) + code2;
		}
		break;

	default:
		wc = -1;
		assert(0);
	}

	return wc;
}

#else
int __jis_ktoe_dummy = 0;
#endif /* __JIS_CONFIG_USE_UNICODE */
