/*
 * j_towstr.c
 *
 * By Ross Ridge
 * Public Domain
 *
 * Implentation of jis_to_wide_str().
 *
 */

#include "defs.h"

#ifdef CONFIG_SCCS_IDS
static char const sccs_id[] = "@(#) myjis j_towstr.c 1.5 98/03/18 21:58:35";
#endif

size_t 
jis_to_wide_str(wide_char *ws, char const **ps, size_t len, jis_state *state) {
	wide_char wc;
	size_t ret = 0;
	size_t n;
	char const *s = *ps;
	char const *end = s + strlen(s) + 1;

	if (len == 0) {
		return 0;
	}

	do {
		assert(s < end);
		n = jis_to_wide(&wc, s, (size_t) (end - s), state);
		assert(n != (size_t) -2);
		if (n == (size_t) -1) {
			errno = EILSEQ;
			return (size_t) -1;
		}
		s += n;
		if (ws != NULL) {
			*ws++ = wc;
		}
		if (wc == (wide_char) 0) {
			break;
		}
		ret++;
	} while(ret < len || ws == NULL);

	if (wc == (wide_char) 0) {
		s = NULL;
	}
	*ps = s;
	return ret;
}
