/*
 * j_utok.c
 *
 * By Ross Ridge
 * Public Domain
 *
 */

#include "defs.h"

#ifdef CONFIG_SCCS_IDS
static char const sccs_id[] = "@(#) myjis j_utok.c 1.3 98/06/01 22:28:15";
#endif

#ifdef __JIS_CONFIG_HAVE_UNICODE

int
__jis_unicode_to_kuten(long wc, enum char_domain *tablep,
		       int *codep, int *code2p) {
	enum char_domain table;
	int code;
	int code2 = 0;

	unsigned long n = (unsigned long) wc & 0xFFFF0000;
	if (n != 0) {
		switch(n >> 16) {
		case 0x1000:
			table = J1990;
			break;
		case 0x1001:
			table = J0212;
			break;
		case 0x1002:
			table = J1983;
			break;
		default:
			return 1;
		}

		code = wc & 0xFF;
		code2 = (wc >> 8) & 0xFF;
		if (code > 99 || code2 > 99 || code < 1 || code2 < 1) {
			return 1;
		}
	} else if (wc >= 0 && wc <= 0xFFFF) {
		if (wc >= 0 && wc <= 255) {
			code = (int) wc;
			table = ASCII;
		} else {
			code = __jis_wide_to_jis[wc / 256][wc % 256];
#if 0
			printf("@@@ 0x%04X -> %05d\n", (unsigned) wc, code);
#endif
			if (code < 128) {
				table = JROMAN;
				if (code == -1) {
					if (wc < 0 || wc > 255) {
						return 1;
					}
					if ((wc >= 32 && wc <= 126)
					    || wc >= 160) {
						table = ASCII;
					}
					code = (int) wc;
				}
			} else if (code < 256) {
				if (code >= 161 && code <= 223) {
					table = JKATAKANA;
				} else {
					table = ASCII; /* ??? */
				}
			} else if (code < 20000) {
				assert(code >= 10000);
				table = J1990;
				code2 = code % 100;
				code = code / 100 - 100;
			} else {
				assert(code < 30000);
				table = J0212;
				code2 = code % 100;
				code = code / 100 - 200;
			}
		}
	} else {
		return 1;
	}

	*tablep = table;
	*codep = code;
	*code2p = code2;

	return 0;
}

#else /* __JIS_CONFIG_HAVE_UNICODE */

int __jis_utok_dummy;

#endif /* __JIS_CONFIG_HAVE_UNICODE */
