/*
 * j_wtou.c
 *
 * By Ross Ridge
 * Public Domain
 *
 */

#include "defs.h"

#ifdef CONFIG_SCCS_IDS
static char const sccs_id[] = "@(#) myjis j_wtou.c 1.3 98/06/01 22:28:17";
#endif

#ifdef __JIS_CONFIG_HAVE_UNICODE

long
jis_wide_to_unicode(wide_int wc) {
	long n;

	if (wc == WIDE_EOF) {
		return -1;
	}

#ifdef __JIS_CONFIG_USE_UNICODE

	n = wc;

#else /* __JIS_CONFIG_USE_UNICODE */

	{
		enum char_domain table;
		int code, code2;
	
		if (__jis_euc_to_kuten(wc, &table, &code, &code2)) {
			return -1;
		}
		
		n = __jis_kuten_to_unicode(table, code, code2);
	}

#endif /* __JIS_CONFIG_USE_UNICODE */
	
	if (n < 0 || n > 0xffffL) {
		return -1;
	}

	return n;
}

#else /* __JIS_CONFIG_HAVE_UNICODE */

int __jis_wtou_dummy;

#endif /* __JIS_CONFIG_HAVE_UNICODE */
