/*
 * k_inline.c
 *
 * By Ross Ridge
 * Public Domain
 *
 */

#include "inline.h"

__JIS_INLINE_SCCS_ID("@(#) myjis k_inline.c 1.2 98/06/01 22:28:22")

#ifdef __JIS_CONFIG_USE_UNICODE

__JIS_INLINE_FUNCTION(
wide_int,
wide_to_hiragana, (wide_int wc), {
	if (wc >= 0x30A1 && wc <= 0x30F3) {
		return wc - 0x60;
	}
	return wc;
})

__JIS_INLINE_FUNCTION(
wide_int,
wide_to_katakana, (wide_int wc), {
	if (wc >= 0x3041 && wc <= 0x3093) {
		return wc + 0x60;
	}
	return wc;
})

#else /* __JIS_CONFIG_USE_UNICODE */

__JIS_INLINE_FUNCTION(
wide_int,
wide_to_hiragana, (wide_int wc), {
	if (wc >= (wide_char) 0xA5A1 && wc <= (wide_char) 0xA5F3) {
		return wc - 0x0100;
	}
	return wc;
})

__JIS_INLINE_FUNCTION(
wide_int,
wide_to_katakana, (wide_int wc), {
	if (wc >= (wide_char) 0xA4A1 && wc <= (wide_char) 0xA4F3) {
		return wc + 0x0100;
	}
	return wc;
})

#endif /* __JIS_CONFIG_USE_UNICODE */

#define wide_to_hiragana(wc) __JIS_INLINE_NAME(wide_to_hiragana)(wc)
#define wide_to_katakana(wc) __JIS_INLINE_NAME(wide_to_katakana)(wc)
