/*
 * kanjidic.c
 *
 * By Ross Ridge
 * Public Domain
 *
 */

#include "defs.h"
#include "kanjidic.h"

#ifdef CONFIG_SCCS_IDS
static char const sccs_id[] = "@(#) myjis kanjidic.c 1.1 97/02/21 01:44:08";
#endif

int qcompare<reading>::both_on_kun = 0;

int
qcompare<reading>::fn(reading const &s1, reading const &s2) {
	int i = 0;
	while(1) {
		wide_char c1 = wide_to_hiragana(s1[i]);
		wide_char c2 = wide_to_hiragana(s2[i]);
		if (c1 > c2) {
			return 1;
		} else if (c1 != c2) {
			return -1;
		}
		if (c1 == '\0') {
			if (both_on_kun) {
				return 0;
			}
			return wide_is_hiragana(s1[0])
				- wide_is_hiragana(s2[0]);
		}
		i++;
	}
}

int
kanjidict::open(char const *name) {
	f = fopen(name, "r"); /* "rb" ??? */
	if (f == NULL) {
		return -1;
	}
	return 0;
}

struct list<kanjidict::quick_entry> const *kanjidict::qtable;

int
kanjidict::compare_by_score(void const *p1, void const *p2) {
	return qtable[0][*(int const *) p1].score 
		- qtable[0][*(int const *) p2].score;
}


/* Local variables: */
/* mode: c++ */
/* End: */
