/*
 * kd_skip.c
 *
 * By Ross Ridge
 * Public Domain
 *
 */

#include "defs.h"

#include "kanjidic.h"

#ifdef CONFIG_SCCS_IDS
static char const sccs_id[] = "@(#) myjis kd_skip.c 1.1 97/02/21 01:44:06";
#endif

skip_code::skip_code(char const *s) {
	if (s == NULL) {
		code = 0;
		return;
	}
	char *pos;
	long type = strtol(s, &pos, 10);
	if (type >= 1 && type <= 4 && pos != NULL && pos[0] == '-') {
		long left = strtol(pos + 1, &pos, 10);
		if (left > 0 && pos != NULL && pos[0] == '-') {
			if (left > 31) {
				left = 31;
			}
			long right = strtol(pos + 1, NULL, 10);
			if (right > 0) {
				if (right > 31) {
					right = 31;
				}
				code = (type << 10) | (left << 5) | right;
				return;
			}
		}
	}
	code = 0;
}

char *
skip_code::unpacked() const {
	static char buf[10];

	int type = code >> 10;
	int left = (code >> 5) & 31;
	int right = code & 31;

	sprintf(buf, "%d-%d-%d", type, left, right);

	return buf;
}


