/*
 * linebuf.h
 *
 * By Ross Ridge
 * Public Domain
 *
 * Defines the class _linebuf.
 *
 * @(#) myjis linebuf.h 1.1 97/02/21 01:49:07
 *
 */

#ifndef __LINEBUF_H__
#define __LINEBUF_H__

/* This class is used to read lines of unlimited length from a file. */

class _linebuf {
	char *buf;
	int buflen;

public:
	_linebuf(): buf((char *) malloc(1024)), buflen(1024) {
		if (buf == NULL) {
			abort();
		}
	}

	int read_line(FILE *f);

	operator char *() const { return buf; }
	char &operator [](int index) const { return buf[index]; }

#ifdef __GNUC__
	char *operator +(int index) const { return buf + index; }
#endif

	~_linebuf() { free(buf); }
};

#endif /* __LINEBUF_H__ */

/* Local variables: */
/* mode: c++ */
/* End: */
