/*
 * myjis.h
 *
 * By Ross Ridge
 * Public Domain
 *
 * @(#) myjis myjis.h 1.10 98/06/01 22:28:26
 *
 */

#ifndef __JIS_MYJIS_H__
#define __JIS_MYJIS_H__

#include <stddef.h> /* size_t */

#include "wide.h"
#include "jisdef.h"

#define JIS_MB_LEN_MAX __JIS_MB_LEN_MAX
#define JIS_MB_CUR_MAX __JIS_MB_CUR_MAX

typedef struct __jis_state jis_state;

extern enum jis_locale_ctypes {
	JIS_LOCALE_QUERY, JIS_LOCALE_DEFAULT,
	JIS_LOCALE_ASCII, JIS_LOCALE_JIS_ROMAN,
	JIS_LOCALE_JIS, JIS_LOCALE_EUC,	JIS_LOCALE_SHIFT_JIS
#ifdef __JIS_CONFIG_HAVE_UNICODE
	, JIS_LOCALE_UTF8
#endif
} __jis_locale_ctype;
#define __JIS_FIRST_TWO_BYTE __JIS_1983

extern jis_state const __jis_initial_state;  /* Make public??? */

enum jis_locale_ctypes jis_set_locale_ctype(enum jis_locale_ctypes loc);

enum jis_locale_ctypes jis_set_state_locale(jis_state *state,
					    enum jis_locale_ctypes loc);

size_t jis_to_wide(wide_char *ws, char const *s, size_t len, jis_state *state);
size_t wide_to_jis(char *s, size_t len, wide_char wc, jis_state *state);
size_t jis_to_wide_str(wide_char *ws, char const **ps, size_t len,
		       jis_state *state);
size_t wide_to_jis_str(char *s, wide_char const **pws, size_t len,
		       jis_state *state);

int jis_is_initial_state(jis_state const *state);

wide_char *jis_to_wide_dup(char const *s);
char *wide_to_jis_dup(wide_char const *s);

typedef struct __jis_conv_state {
	int widein, wideout;
	jis_state istate, ostate;
} *jis_conv_state;

jis_conv_state jis_conv_open(char const *to, char const *from);
size_t jis_conv(jis_conv_state statep, char const **inp, size_t *ilenp,
		char **outp, size_t *olenp);
int jis_conv_close(jis_conv_state);

#endif /* __JIS_MYJIS_H__ */



