/*
 * r2ktable.c
 *
 * By Ross Ridge
 * Public Domain
 *
 * Seperated from j_r2kt.c for easy sorting.
 *
 * @(#) myjis r2ktable.c 1.3 00/05/12 14:39:40
 *
 */
	{ "a",		{ K_A },		ALL },
	{ "ba",		{ K_BA },		ALL },
	{ "bba",	{ K_tu, K_BA },		ALL },
	{ "bbe",	{ K_tu, K_BE },		ALL },
	{ "bbi",	{ K_tu, K_BI },		ALL },
	{ "bbo",	{ K_tu, K_BO },		ALL },
	{ "bbu",	{ K_tu, K_BU },		ALL },
	{ "bbya",	{ K_tu, K_BI, K_ya },	ALL },
	{ "bbyo",	{ K_tu, K_BI, K_yo },	ALL },
	{ "bbyu",	{ K_tu, K_BI, K_yu },	ALL },
	{ "be",		{ K_BE },		ALL },
	{ "bi",		{ K_BI },		ALL },
	{ "bo",		{ K_BO },		ALL },
	{ "bu",		{ K_BU },		ALL },
	{ "bya",	{ K_BI, K_ya },		ALL },
	{ "byo",	{ K_BI, K_yo },		ALL },
	{ "byu",	{ K_BI, K_yu },		ALL },
	{ "cha",	{ K_TI, K_ya },		HEPBURN },
	{ "che",	{ K_TI, K_e },		KATAKANA },
	{ "chi",	{ K_TI },		HEPBURN },
	{ "cho",	{ K_TI, K_yo },		HEPBURN },
	{ "chu",	{ K_TI, K_yu },		HEPBURN },
	{ "da",		{ K_DA },		ALL },
	{ "dda",	{ K_tu, K_DA },		KATAKANA },
	{ "dde",	{ K_tu, K_DE },		ALL },
	{ "ddi",	{ K_tu, K_DE, K_i },	KATAKANA },
	{ "ddi",	{ K_tu, K_DI },		KATAKANA },
	{ "ddo",	{ K_tu, K_DO },		KATAKANA },
	{ "ddu",	{ K_tu, K_DO, K_u },	KATAKANA },
	{ "ddu",	{ K_tu, K_DU },		KATAKANA },
	{ "ddya",	{ K_tu, K_DI, K_ya },	KATAKANA },
	{ "ddyo",	{ K_tu, K_DI, K_yo },	KATAKANA },
	{ "ddyu",	{ K_tu, K_DI, K_yu },	KATAKANA },
	{ "de",		{ K_DE },		ALL },
	{ "di",		{ K_DE, K_i },		KATAKANA },
	{ "di",		{ K_DI },		NIPPON },
	{ "do",		{ K_DO },		ALL },
	{ "du",		{ K_DO, K_u },		KATAKANA },
	{ "du",		{ K_DU },		NIPPON },
	{ "dya",	{ K_DI, K_ya },		NIPPON },
	{ "dyo",	{ K_DI, K_yo },		NIPPON },
	{ "dyu",	{ K_DI, K_yu },		NIPPON },
	{ "e",		{ K_E },		ALL },
	{ "e",		{ K_HE },		ALL | PARTICLE },
	{ "fa",		{ K_HU, K_a },		KATAKANA },
	{ "fe",		{ K_HU, K_e },		KATAKANA },
	{ "ffa",	{ K_tu, K_HU, K_a },	KATAKANA },
	{ "ffe",	{ K_tu, K_HU, K_e },	KATAKANA },
	{ "ffi",	{ K_tu, K_HU, K_i },	KATAKANA },
	{ "ffo",	{ K_tu, K_HU, K_o },	KATAKANA },
	{ "ffu",	{ K_tu, K_HU },		HEPBURN },
	{ "fi",		{ K_HU, K_i },		KATAKANA },
	{ "fo",		{ K_HU, K_o },		KATAKANA },
	{ "fu",		{ K_HU },		HEPBURN },
	{ "ga",		{ K_GA },		ALL },
	{ "ge",		{ K_GE },		ALL },
	{ "gga",	{ K_tu, K_GA },		KATAKANA },
	{ "gge",	{ K_tu, K_GE },		KATAKANA },
	{ "ggi",	{ K_tu, K_GI },		KATAKANA },
	{ "ggo",	{ K_tu, K_GO },		KATAKANA },
	{ "ggu",	{ K_tu, K_GU },		KATAKANA },
	{ "ggya",	{ K_tu, K_GI, K_ya },	KATAKANA },
	{ "ggyo",	{ K_tu, K_GI, K_yo },	KATAKANA },
	{ "ggyu",	{ K_tu, K_GI, K_yu },	KATAKANA },
	{ "gi",		{ K_GI },		ALL },
	{ "go",		{ K_GO },		ALL },
	{ "gu",		{ K_GU },		ALL },
	{ "gya",	{ K_GI, K_ya },		ALL },
	{ "gyo",	{ K_GI, K_yo },		ALL },
	{ "gyu",	{ K_GI, K_yu },		ALL },
	{ "ha",		{ K_HA },		ALL },
	{ "he",		{ K_HE },		ALL },
	{ "hha",	{ K_tu, K_HA },		KATAKANA },
	{ "hhe",	{ K_tu, K_HE },		KATAKANA },
	{ "hhi",	{ K_tu, K_HI },		KATAKANA },
	{ "hho",	{ K_tu, K_HO },		KATAKANA },
	{ "hhu",	{ K_tu, K_HU },		KATAKANA },
	{ "hhya",	{ K_tu, K_HI, K_ya },	KATAKANA },
	{ "hhyo",	{ K_tu, K_HI, K_yo },	KATAKANA },
	{ "hhyu",	{ K_tu, K_HI, K_yu },	KATAKANA },
	{ "hi",		{ K_HI },		ALL },
	{ "ho",		{ K_HO },		ALL },
	{ "hu",		{ K_HU },		KUNREI | NIPPON },
	{ "hya",	{ K_HI, K_ya },		ALL },
	{ "hyo",	{ K_HI, K_yo },		ALL },
	{ "hyu",	{ K_HI, K_yu },		ALL },
	{ "i",		{ K_I },		ALL },
	{ "ja",		{ K_DI, K_ya },		HEPBURN },
	{ "ja",		{ K_ZI, K_ya },		HEPBURN },
	{ "je",		{ K_ZI, K_e },		KATAKANA },
	{ "ji",		{ K_DI },		HEPBURN },
	{ "ji",		{ K_ZI },		HEPBURN },
	{ "jja",	{ K_tu, K_ZI, K_ya },	KATAKANA },
	{ "jje",	{ K_tu, K_ZI, K_e },	KATAKANA },
	{ "jji",	{ K_tu, K_ZI },		KATAKANA },
	{ "jjo",	{ K_tu, K_ZI, K_yo }, 	KATAKANA },
	{ "jju",	{ K_tu, K_ZI, K_yu }, 	KATAKANA },
	{ "jo",		{ K_DI, K_yo }, 	HEPBURN },
	{ "jo",		{ K_ZI, K_yo }, 	HEPBURN },
	{ "ju",		{ K_DI, K_yu },		HEPBURN },
	{ "ju",		{ K_ZI, K_yu }, 	HEPBURN },
	{ "ka",		{ K_KA },		ALL },
	{ "ke",		{ K_KE },		ALL },
	{ "ki",		{ K_KI },		ALL },
	{ "kka",	{ K_tu, K_KA },		ALL },
	{ "kke",	{ K_tu, K_KE },		ALL },
	{ "kki",	{ K_tu, K_KI },		ALL },
	{ "kko",	{ K_tu, K_KO },		ALL },
	{ "kku",	{ K_tu, K_KU },		ALL },
	{ "kkya",	{ K_tu, K_KI, K_ya },	ALL },
	{ "kkyo",	{ K_tu, K_KI, K_yo },	ALL },
	{ "kkyu",	{ K_tu, K_KI, K_yu },	ALL },
	{ "ko",		{ K_KO },		ALL },
	{ "ku",		{ K_KU },		ALL },
	{ "kya",	{ K_KI, K_ya },		ALL },
	{ "kyo",	{ K_KI, K_yo },		ALL },
	{ "kyu",	{ K_KI, K_yu },		ALL },
	{ "ma",		{ K_MA },		ALL },
	{ "mba",	{ K_N, K_BA },		HEPBURN },
	{ "mbe",	{ K_N, K_BE },		HEPBURN },
	{ "mbi",	{ K_N, K_BI },		HEPBURN },
	{ "mbo",	{ K_N, K_BO },		HEPBURN },
	{ "mbu",	{ K_N, K_BU },		HEPBURN },
	{ "mbya",	{ K_N, K_BI, K_ya },	HEPBURN },
	{ "mbyo",	{ K_N, K_BI, K_yo },	HEPBURN },
	{ "mbyu",	{ K_N, K_BI, K_yu },	HEPBURN },
	{ "me",		{ K_ME },		ALL },
	{ "mi",		{ K_MI },		ALL },
	{ "mma",	{ K_N, K_MA },		HEPBURN },
	{ "mme",	{ K_N, K_ME },		HEPBURN },
	{ "mmo",	{ K_N, K_MO },		HEPBURN },
	{ "mmu",	{ K_N, K_MU },		HEPBURN },
	{ "mmya",	{ K_N, K_MI, K_ya },	HEPBURN },
	{ "mmyo",	{ K_N, K_MI, K_yo },	HEPBURN },
	{ "mmyu",	{ K_N, K_MI, K_yu },	HEPBURN },
	{ "mo",		{ K_MO },		ALL },
	{ "mpa",	{ K_N, K_PA },		HEPBURN },
	{ "mpe",	{ K_N, K_PE },		HEPBURN },
	{ "mpi",	{ K_N, K_PI },		HEPBURN },
	{ "mpo",	{ K_N, K_PO },		HEPBURN },
	{ "mpu",	{ K_N, K_PU },		HEPBURN },
	{ "mpya",	{ K_N, K_PI, K_ya },	HEPBURN },
	{ "mpyu",	{ K_N, K_PI, K_yu },	HEPBURN },
	{ "mu",		{ K_MU },		ALL },
	{ "mya",	{ K_MI, K_ya },		ALL },
	{ "myo",	{ K_MI, K_yo },		ALL },
	{ "myo",	{ K_N, K_PI, K_yo },	ALL },
	{ "myu",	{ K_MI, K_yu },		ALL },
	{ "na",		{ K_NA },		ALL },
	{ "ne",		{ K_NE },		ALL },
	{ "ni",		{ K_NI },		ALL },
	{ "no",		{ K_NO },		ALL },
	{ "nu",		{ K_NU },		ALL },
	{ "nya",	{ K_NI, K_ya },		ALL },
	{ "nyo",	{ K_NI, K_yo },		ALL },
	{ "nyu",	{ K_NI, K_yu },		ALL },
	{ "o",		{ K_O },		ALL },
	{ "o",		{ K_WO },		HEPBURN | KUNREI | PARTICLE },
	{ "pa",		{ K_PA },		ALL },
	{ "pe",		{ K_PE },		ALL },
	{ "pi",		{ K_PI },		ALL },
	{ "po",		{ K_PO },		ALL },
	{ "ppa",	{ K_tu, K_PA },		ALL },
	{ "ppe",	{ K_tu, K_PE },		ALL },
	{ "ppi",	{ K_tu, K_PI },		ALL },
	{ "ppo",	{ K_tu, K_PO },		ALL },
	{ "ppu",	{ K_tu, K_PU },		ALL },
	{ "ppya",	{ K_tu, K_PI, K_ya },	ALL },
	{ "ppyo",	{ K_tu, K_PI, K_yo },	ALL },
	{ "ppyu",	{ K_tu, K_PI, K_yu },	ALL },
	{ "pu",		{ K_PU },		ALL },
	{ "pya",	{ K_PI, K_ya },		ALL },
	{ "pyo",	{ K_PI, K_yo },		ALL },
	{ "pyu",	{ K_PI, K_yu },		ALL },
	{ "q",		{ K_tu },		EXTENDED },
	{ "ra",		{ K_RA },		ALL },
	{ "re",		{ K_RE },		ALL },
	{ "ri",		{ K_RI },		ALL },
	{ "ro",		{ K_RO },		ALL },
	{ "ru",		{ K_RU },		ALL },
	{ "rya",	{ K_RI, K_ya },		ALL },
	{ "ryo",	{ K_RI, K_yo },		ALL },
	{ "ryu",	{ K_RI, K_yu },		ALL },
	{ "sa",		{ K_SA },		ALL },
	{ "se",		{ K_SE },		ALL },
	{ "sha",	{ K_SI, K_ya },		HEPBURN },
	{ "she",	{ K_SI, K_e },		KATAKANA },
	{ "shi",	{ K_SI },		HEPBURN },
	{ "sho",	{ K_SI, K_yo },		HEPBURN },
	{ "shu",	{ K_SI, K_yu },		HEPBURN },
	{ "si",		{ K_SI },		KUNREI | NIPPON },
	{ "si",		{ K_SU, K_i },		KATAKANA },
	{ "so",		{ K_SO },		ALL },
	{ "ssa",	{ K_tu, K_SA },		ALL },
	{ "sse",	{ K_tu, K_SE },		ALL },
	{ "ssha",	{ K_tu, K_SI, K_ya },	HEPBURN },
	{ "sshe",	{ K_tu, K_SI, K_e },	KATAKANA },
	{ "sshi",	{ K_tu, K_SI },		HEPBURN },
	{ "ssho",	{ K_tu, K_SI, K_yo },	HEPBURN },
	{ "sshu",	{ K_tu, K_SI, K_yu },	HEPBURN },
	{ "ssi",	{ K_tu, K_SI },		KUNREI | NIPPON },
	{ "ssi",	{ K_tu, K_SU, K_i },	KATAKANA },
	{ "sso",	{ K_tu, K_SO },		ALL },
	{ "ssu",	{ K_tu, K_SU },		ALL },
	{ "ssya",	{ K_tu, K_SI, K_ya },	KUNREI | NIPPON },
	{ "ssyo",	{ K_tu, K_SI, K_yo },	KUNREI | NIPPON },
	{ "ssyu",	{ K_tu, K_SI, K_yu },	KUNREI | NIPPON },
	{ "su",		{ K_SU },		ALL },
	{ "sya",	{ K_SI, K_ya },		KUNREI | NIPPON },
	{ "syo",	{ K_SI, K_yo },		KUNREI | NIPPON },
	{ "syu",	{ K_SI, K_yu },		KUNREI | NIPPON },
	{ "ta",		{ K_TA },		ALL },
	{ "tcha",	{ K_tu, K_TI, K_ya },	HEPBURN },
	{ "tche",	{ K_tu, K_TI, K_e },	KATAKANA },
	{ "tchi",	{ K_tu, K_TI },		HEPBURN },
	{ "tcho",	{ K_tu, K_TI, K_yo },	HEPBURN },
	{ "tchu",	{ K_tu, K_TI, K_yu },	HEPBURN },
	{ "te",		{ K_TE },		ALL },
	{ "ti",		{ K_TE,	K_i },		KATAKANA },
	{ "ti",		{ K_TI },		KUNREI | NIPPON },
	{ "to",		{ K_TO },		ALL },
	{ "tsu",	{ K_TU },		HEPBURN },
	{ "tta",	{ K_tu, K_TA },		ALL },
	{ "tte",	{ K_tu, K_TE },		ALL },
	{ "tti",	{ K_tu, K_TE, K_i },	KATAKANA },
	{ "tti",	{ K_tu, K_TI },		KUNREI | NIPPON },
	{ "tto",	{ K_tu, K_TO },		ALL },
	{ "ttsu",	{ K_tu, K_TU },		HEPBURN },
	{ "ttu",	{ K_tu, K_TO, K_u },	KATAKANA },
	{ "ttu",	{ K_tu, K_TU },		KUNREI | NIPPON },
	{ "ttya",	{ K_tu, K_TI, K_ya },	KUNREI | NIPPON },
	{ "ttyo",	{ K_tu, K_TI, K_yo },	KUNREI | NIPPON },
	{ "ttyu",	{ K_tu, K_TI, K_yu },	KUNREI | NIPPON },
	{ "tu",		{ K_TO, K_u },		KATAKANA },
	{ "tu",		{ K_TU },		KUNREI | NIPPON },
	{ "tya",	{ K_TI, K_ya },		KUNREI | NIPPON },
	{ "tyo",	{ K_TI, K_yo },		KUNREI | NIPPON },
	{ "tyu",	{ K_TI, K_yu },		KUNREI | NIPPON },
	{ "u",		{ K_U },		ALL },
	{ "ue",		{ K_U, K_e },		KATAKANA },
	{ "ui",		{ K_U, K_i },		KATAKANA },
	{ "uo",		{ K_U, K_o },		KATAKANA },
	{ "va",		{ K_VU, K_a },		KATAKANA },
	{ "ve",		{ K_VU, K_e },		KATAKANA },
	{ "vi",		{ K_VU, K_i },		KATAKANA },
	{ "vo",		{ K_VU, K_o },		KATAKANA },
	{ "vu",		{ K_VU },		KATAKANA },
	{ "wa",		{ K_HA },		ALL | PARTICLE },
	{ "wa",		{ K_WA },		ALL },
	{ "we",		{ K_WE },		OBSOLETE },
	{ "wi",		{ K_WI },		OBSOLETE },
	{ "wo",		{ K_WO },		NIPPON | OBSOLETE },
	{ "wu",		{ K_U },		KATAKANA },
	{ "xa",		{ K_a },		EXTENDED },
	{ "xe",		{ K_e },		EXTENDED },
	{ "xi",		{ K_i },		EXTENDED },
	{ "xka",	{ K_ka },		EXTENDED },
	{ "xke",	{ K_ke },		EXTENDED },
	{ "xo",		{ K_o },		EXTENDED },
	{ "xu",		{ K_u },		EXTENDED },
	{ "xwa",	{ K_wa },		EXTENDED },
	{ "xya",	{ K_ya },		EXTENDED },
	{ "xyo",	{ K_yo },		EXTENDED },
	{ "xyu",	{ K_yu },		EXTENDED },
	{ "ya",		{ K_YA },		ALL },
	{ "yo",		{ K_YO },		ALL },
	{ "yu",		{ K_YU },		ALL },
	{ "za",		{ K_ZA },		ALL },
	{ "ze",		{ K_ZE },		ALL },
	{ "zi",		{ K_DI },		KUNREI },
	{ "zi",		{ K_ZI },		KUNREI | NIPPON },
	{ "zo",		{ K_ZO },		ALL },
	{ "zu",		{ K_DU },		HEPBURN | KUNREI },
	{ "zu",		{ K_ZU },		ALL },
	{ "zya",	{ K_DI, K_ya },		KUNREI },
	{ "zya",	{ K_ZI, K_ya },		KUNREI | NIPPON },
	{ "zyo",	{ K_DI, K_yo },		KUNREI },
	{ "zyo",	{ K_ZI, K_yo },		KUNREI | NIPPON },
	{ "zyu",	{ K_DI, K_yu },		KUNREI },
	{ "zyu",	{ K_ZI, K_yu },		KUNREI | NIPPON },
	{ "zza",	{ K_tu, K_ZA },		KATAKANA },
	{ "zze",	{ K_tu, K_ZE },		KATAKANA },
	{ "zzo",	{ K_tu, K_ZO },		KATAKANA },
	{ "zzu",	{ K_tu, K_ZU },		KATAKANA },
