/*
 * w_cmp.c
 *
 * By Ross Ridge
 * Public Domain
 *
 * Implementation of wide_cmp().
 *
 */

#include "defs.h"

#ifdef CONFIG_SCCS_IDS
static char const sccs_id[] = "@(#) myjis w_cmp.c 1.1 96/10/24 18:31:10";
#endif

int
wide_cmp(wide_char const *w1, wide_char const *w2) {
	unsigned long wc1, wc2;

	do {
		wc1 = (unsigned long) *w1;
		wc2 = (unsigned long) *w2;

		if (wc1 > wc2) {
			return 1;
		} else if (wc1 != wc2) {
			return -1;
		}
		w1++;
		w2++;
	} while(wc1 != '\0');

	return 0;
}
