/*
 * w_cmpn.c
 *
 * By Ross Ridge
 * Public Domain
 *
 * Implementation of wide_cmp().
 *
 */

#include "defs.h"

#ifdef CONFIG_SCCS_IDS
static char const sccs_id[] = "@(#) myjis w_cmpn.c 1.2 98/03/18 21:58:43";
#endif
			
int
wide_ncmp(wide_char const *w1, wide_char const *w2, size_t len) {
	unsigned long wc1, wc2;
	size_t i;

	for(i = 0; i < len; i++) {
		wc1 = (unsigned long) w1[i];
		wc2 = (unsigned long) w2[i];
		
		if (wc1 > wc2) {
			return 1;
		} else if (wc1 != wc2) {
			return -1;
		}
		if (wc1 == (wide_char) 0) {
			return 0;
		}
	}
	return 0;
}
