/*
 * w_ktors.c
 *
 * By Ross Ridge
 * Public Domain
 *
 * Implementation of wide_kana_to_roman_str().
 *
 */

#include "defs.h"

#ifdef CONFIG_SCCS_IDS
static char const sccs_id[] = "@(#) myjis w_ktors.c 1.6 00/05/11 18:17:14";
#endif

int
wide_kana_to_roman_str(wide_char *wd, size_t *plen, wide_char const **pws,
		       int flags) {
	size_t i = 0;
	size_t j;
	size_t n;
	size_t len = *plen;
	wide_char const *ws = *pws;
	int ret = 0;
	struct jis_r2k_kana const *kana;

	while(*ws != '\0' && i < len - 1) {
		int matches = wide_kana_to_roman(&kana, ws, flags);
		if (matches == 0) {
			ret |= JIS_R2K_ERR_UNKNOWN;
			wd[i++] = *ws++;
		} else {
			assert(matches == 1);
			n = strlen(kana->roman);
			if (i + n >= len) {
				break;
			}
			for (j = 0; j < n; j++) {
				assert(i < len);
#if 0
				wd[i++] = jis_byte_to_wide(kana->roman[j]);
#else
				wd[i++] = (wide_char) kana->roman[j];
#endif
			}
			ws += wide_len(kana->kana);
		}
	}
	
	assert(i < len);
	wd[i++] = (wide_char) 0;

	*plen = i;
	*pws = ws;

	return ret;
}
