/*
 * w_to_kv.c
 *
 * By Ross Ridge
 * Public Domain
 *
 * Implementation of wide_to_katakana_vowel().
 *
 */

#include "defs.h"

#ifdef CONFIG_SCCS_IDS
static char const sccs_id[] = "@(#) myjis w_to_kv.c 1.3 98/03/18 21:58:49";
#endif

static wide_char const vowel_table[] = {
	K_A, /* K_a */
	K_A, /* K_A */
	K_I, /* K_i */
	K_I, /* K_I */
	K_U, /* K_u */
	K_U, /* K_U */
	K_E, /* K_e */
	K_E, /* K_E */
	K_O, /* K_o */
	K_O, /* K_O */
	K_A, /* K_KA */
	K_A, /* K_GA */
	K_I, /* K_KI */
	K_I, /* K_GI */
	K_U, /* K_KU */
	K_U, /* K_GU */
	K_E, /* K_KE */
	K_E, /* K_GE */
	K_O, /* K_KO */
	K_O, /* K_GO */
	K_A, /* K_SA */
	K_A, /* K_ZA */
	K_I, /* K_SI */
	K_I, /* K_ZI */
	K_U, /* K_SU */
	K_U, /* K_ZU */
	K_E, /* K_SE */
	K_E, /* K_ZE */
	K_O, /* K_SO */
	K_O, /* K_ZO */
	K_A, /* K_TA */
	K_A, /* K_DA */
	K_I, /* K_TI */
	K_I, /* K_DI */
	K_U, /* K_tu */
	K_U, /* K_TU */
	K_U, /* K_DU */
	K_E, /* K_TE */
	K_E, /* K_DE */
	K_O, /* K_TO */
	K_O, /* K_DO */
	K_A, /* K_NA */
	K_I, /* K_NI */
	K_U, /* K_NU */
	K_E, /* K_NE */
	K_O, /* K_NO */
	K_A, /* K_HA */
	K_A, /* K_BA */
	K_A, /* K_PA */
	K_I, /* K_HI */
	K_I, /* K_BI */
	K_I, /* K_PI */
	K_U, /* K_HU */
	K_U, /* K_BU */
	K_U, /* K_PU */
	K_E, /* K_HE */
	K_E, /* K_BE */
	K_E, /* K_PE */
	K_O, /* K_HO */
	K_O, /* K_BO */
	K_O, /* K_PO */
	K_A, /* K_MA */
	K_I, /* K_MI */
	K_U, /* K_MU */
	K_E, /* K_ME */
	K_O, /* K_MO */
	K_A, /* K_ya */
	K_A, /* K_YA */
	K_U, /* K_yu */
	K_U, /* K_YU */
	K_O, /* K_yo */
	K_O, /* K_YO */
	K_A, /* K_RA */
	K_I, /* K_RI */
	K_U, /* K_RU */
	K_E, /* K_RE */
	K_O, /* K_RO */
	K_A, /* K_wa */
	K_A, /* K_WA */
	K_I, /* K_WI */
	K_E, /* K_WE */
	K_O, /* K_WO */
	K_N, /* K_N */
	K_U, /* K_VU */
	K_A, /* K_ka */
	K_E, /* K_ke */
};

wide_int
wide_to_katakana_vowel(wide_int wc) {
	unsigned long index;

	if (wc == WIDE_EOF) {
		return WIDE_EOF;
	}
	wc = wide_to_katakana(wc);
	index = (unsigned long) wc - __JIS_KATAKANA_BASE - 1;	
	if (index > sizeof vowel_table / sizeof *vowel_table) {
		return WIDE_EOF;
	}
	return vowel_table[index];
}
