/*
 * w_to_kvs.c
 *
 * By Ross Ridge
 * Public Domain
 *
 * Implementation of wide_to_katakana_vowel_str().
 *
 */

#include "defs.h"

#ifdef CONFIG_SCCS_IDS
static char const sccs_id[] = "@(#) myjis w_to_kvs.c 1.1 96/10/24 18:31:23";
#endif

wide_char *
wide_to_katakana_vowel_str(wide_char *ws) {
	wide_char *ret = ws;
	wide_int last_vowel = WIDE_EOF;

	while(*ws != '\0') {
		wide_char wc = *ws;
		
		switch(wide_to_katakana(wc)) {
		case K_U:
			if (last_vowel == K_O) {
				wc = K_LONG;
			}
			/* FALLTHROUGH */
		case K_I:
		case K_A:
		case K_E:
			if (wc == last_vowel) {
				wc = K_LONG;
			}
			last_vowel = wide_to_katakana_vowel(wc);
			break;

#if 1
		case K_a:
		case K_e:
		case K_i:
		case K_o:
		case K_u:
#endif
		case K_tu:
			last_vowel = wc;
			break;

		default:
			last_vowel = wide_to_katakana_vowel(wc);
			break;
		}
		
		*ws++ = wc;
	}
	return ret;
}
