/*
 * w_tojdup.c
 *
 * By Ross Ridge
 * Public Domain
 *
 * Implementation of wide_to_jis_dup().
 *
 */

#include "defs.h"

#ifdef CONFIG_SCCS_IDS
static char const sccs_id[] = "@(#) myjis w_tojdup.c 1.1 96/10/24 18:31:24";
#endif

#define WORK_BUF_SIZE	256

char *
wide_to_jis_dup(wide_char const *ws) {
	char *s;
	char *tmp;
	size_t len = 0;
	size_t buf_len = WORK_BUF_SIZE;
	size_t n;
	jis_state state;
	char buf[WORK_BUF_SIZE];

	s = buf;

	state = __jis_initial_state;

	while(1) {
#if 0
		fprintf(stderr,
			"@@@: ws = %p, s = %p, buf_len = %ld, len = %ld\n",
			(void *) ws, (void *) s, (long) buf_len, (long) len);
#endif
	      	n = wide_to_jis_str(s + len, &ws, buf_len - len, &state);
#if 0
		fprintf(stderr, "@@@: n = %ld, ws = %p\n",
			(long) n, (void *) ws);
		fprintf(stderr, "@@@: s = '%s'\n", s);
#endif
		if (n == (size_t) -1) {
			if (s != buf) {
				free(s);
			}
			return NULL;
		}
		len += n;
		if (ws == NULL) {
			assert(s[len] == '\0');
			len++;
			if (s != buf) {
				tmp = realloc(s, len);
				if (tmp != NULL) {
					s = tmp;
				}
			} else {
				s = malloc(len);
				if (s == NULL) {
					return NULL;
				}
				memcpy(s, buf, len);
			}
#if 0
			fprintf(stderr, "@@@: ret = '%s'\n", s);
#endif
			return s;
		}
			
		if (n == 0 || len + JIS_MB_CUR_MAX >= buf_len) {
			buf_len *= 2;
			if (buf_len == 0) {
				errno = ENOMEM;
				return NULL;
			}
			if (s == buf) {
				s = malloc(buf_len);
				if (s == NULL) {
					return NULL;
				}
				memcpy(s, buf, len);
			} else {
				tmp = realloc(s, buf_len);
				if (tmp == NULL) {
					int save_errno = errno;
					free(s);
					errno = save_errno;
					return NULL;
				}
				s = tmp;
			}
		}
	}
}
