/*
 * w_tojstr.c
 *
 * By Ross Ridge
 * Public Domain
 *
 * Implementation of wide_to_jis_str().
 *
 */

#include "defs.h"

#ifdef CONFIG_SCCS_IDS
static char const sccs_id[] = "@(#) myjis w_tojstr.c 1.1 96/10/24 18:31:25";
#endif

size_t 
wide_to_jis_str(char *s, wide_char const **pws, size_t len, jis_state *state) {
	wide_char wc;
	size_t ret = 0;
	size_t n;
	wide_char const *ws = *pws;

	if (len == 0) {
		return 0;
	}

	do {
		wc = *ws;
		n = wide_to_jis(s, len, wc, state);
		if (n == (size_t) -1) {
			return (size_t) -1;
		}
		if (n == 0) {
			break;
		}
		if (s != NULL) {
			s += n;
			len -= n;
		}
		ret += n;
		ws++;
	} while(wc != (wide_char) 0);

	if (wc == (wide_char) 0 && n != 0) {
		*pws = NULL;
		ret--;
	} else {
		*pws = ws;
	}

	return ret;
}
