/*
 * wide.h
 *
 * By Ross Ridge
 * Public Domain
 *
 * @(#) myjis wide.h 1.11 99/01/15 19:18:42
 *
 */

#ifndef __JIS_WIDE_H__
#define __JIS_WIDE_H__

#include <stddef.h>  /* size_t */

#include "config-sh.h"
#include "widedef.h"

typedef __jis_wide_char wide_char;
typedef __jis_wide_int  wide_int;

#define WIDE_EOF __JIS_WIDE_EOF

size_t wide_len(wide_char const *ws);
int wide_cmp(wide_char const *s1, wide_char const *s2);
int wide_ncmp(wide_char const *s1, wide_char const *s2, size_t n);
wide_char *wide_chr(wide_char const *s, wide_char c);
wide_char *wide_dup(wide_char const *ws);

enum jis_table { JIS_X_0208_1990, JIS_X_0212_1990, 
		 JIS_X_0208 = JIS_X_0208_1990, JIS_X_0212 = JIS_X_0212_1990 };

wide_int jis_kuten_to_wide(enum jis_table table, int ku, int ten);
#if 0
int jis_wide_to_kuten(wide_char wc, enum jis_table *table, int *ku, int *ten); 
#endif

#ifdef __JIS_CONFIG_HAVE_UNICODE
wide_int jis_unicode_to_wide(long ucc);
long jis_wide_to_unicode(wide_int wc);
#endif

int jis_wide_to_byte(wide_int wc);
wide_int jis_byte_to_wide(int c);
	
#endif /* __JIS_WIDE_H__ */
