/*
 * xalloc.c
 *
 * By Ross Ridge
 * Public Domain
 *
 */

#include "defs.h"

#ifdef CONFIG_SCCS_IDS
static char const sccs_id[] = "@(#) myjis xalloc.c 1.2 96/10/24 18:51:25";
#endif

void *
xcheck(void *p) {
	if (p == NULL) {
		fprintf(stderr, "out of memory.\n");
		exit(1);
	}
	return p;
}

void *
xmalloc(size_t n) {
	return xcheck(malloc(n));
}

void *
xrealloc(void *p, size_t n) {
	return xcheck(realloc(p, n));
}

char *
xstrdup(char const *s) {
	size_t len = strlen(s) + 1;
	return memcpy(xmalloc(len), s, len);
}
